﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.WebUI.UltraWebGrid;
using System.Drawing;
using System.Data;

public partial class Default2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		UltraWebGrid2.Height = new Unit("40%");
		if (!IsPostBack)
		{
			fillData();
			UltraWebGrid2.DisplayLayout.ColFootersVisibleDefault = ShowMarginInfo.Yes;
			doLayout();
		}
	}
		 private void fillData()
        {    
            DataSet data=new DataSet("SampleData");
            data.Tables.Add("Materials");
            data.Tables[0].Columns.Add("Product Name");
            data.Tables[0].Columns.Add("Weight (lbs)");
            data.Tables[0].Columns.Add("Price ($)");
            data.Tables[0].Columns.Add("Truck #");
			data.Tables[0].Rows.Add(new object[] {1, 22494, 55.00});
			data.Tables[0].Rows.Add(new object[] {2, 33120, 123.20});
			data.Tables[0].Rows.Add(new object[] {3, 41920, 131.20});
			data.Tables[0].Rows.Add(new object[] {4, 40320, 131.20});
			data.Tables[0].Rows.Add(new object[] {5, 42560, 126.40});
			data.Tables[0].Rows.Add(new object[] {6, 48000, 131.20});
			data.Tables[0].Rows.Add(new object[] {7, 45760, 131.20});
			data.Tables[0].Rows.Add(new object[] {8, 46240, 129.60});
			data.Tables[0].Rows.Add(new object[] {9, 39840, 124.80});
            UltraWebGrid2.DataSource=data.Tables[0].DefaultView;
            UltraWebGrid2.DataBind();

  
            UltraWebGrid2.DataSource=data;
            UltraWebGrid2.DataBind();

        }
        private void doLayout()
        {
            UltraWebGrid2.DisplayLayout.ColWidthDefault=new Unit("150px");
            UltraWebGrid2.Columns[0].Width=new Unit("100%");
            UltraWebGrid2.DisplayLayout.RowStyleDefault.HorizontalAlign=HorizontalAlign.Right;
            UltraWebGrid2.Columns[0].CellStyle.HorizontalAlign=HorizontalAlign.Left;
            UltraWebGrid2.DisplayLayout.HeaderStyleDefault.HorizontalAlign=HorizontalAlign.Center;
            UltraWebGrid2.DisplayLayout.ColFootersVisibleDefault=ShowMarginInfo.Yes;
            UltraWebGrid2.Columns[1].FooterTotal=SummaryInfo.Avg;
			UltraWebGrid2.Columns[1].Format = "###.##";
			UltraWebGrid2.Columns[2].Format = "###.##";
            UltraWebGrid2.Columns[0].FooterText="Averages";
            UltraWebGrid2.Columns[2].FooterTotal=SummaryInfo.Avg;
            UltraWebGrid2.Columns[3].FooterTotal=SummaryInfo.Avg;
           
            Infragistics.WebUI.UltraWebGrid.UltraGridLayout addNew=UltraWebGrid2.DisplayLayout;
            addNew.HeaderStyleDefault.ForeColor=Color.Black;
            addNew.AllowAddNewDefault=AllowAddNew.Yes;
            addNew.AddNewBox.Hidden=false;
            addNew.FrameStyle.BorderStyle=BorderStyle.Solid;
            addNew.FrameStyle.BorderWidth=new Unit("1px");
            addNew.FrameStyle.BorderColor=Color.FromArgb(51,51,51);
            addNew.GroupByBox.Style.BackColor=System.Drawing.Color.LightGray;
            addNew.AddNewBox.Style.BackColor=System.Drawing.Color.LightGray;
            //addNew.AddNewBox.ButtonStyle.BackColor=System.Drawing.SystemColors.ControlLight;
            addNew.AddNewBox.ButtonStyle.ForeColor=Color.Black;
            addNew.AddNewBox.ButtonConnectorStyle=System.Web.UI.WebControls.BorderStyle.Ridge;
            //addNew.AddNewBox.ButtonStyle.BorderStyle=BorderStyle.Outset;
            addNew.AddNewBox.ButtonStyle.BorderWidth=new Unit("2px");

		
        }

}